---

resultsBaseDir: results/
batch_mode: True
save_period: 0

experiment_type: artificial_landscapes


bench_type: rastrigin
#noise_type: none
noise_type: fitness_features_gaussian
#noise_type: fitness_features_uniform
beta_fitness: 0.01 #0.01
beta_features: 0.01 #0.01

reference_file: rastrigin2-ref-Grid64x64.p


#seed: 42

main_algorithm_name: algoSampling
#main_algorithm_name: algoSampling2
#main_algorithm_name: algoSampling3
#main_algorithm_name: algoSampling4
#main_algorithm_name: algoSampling5
#main_algorithm_name: algoSampling6
#main_algorithm_name: algoSampling7
#main_algorithm_name: algoSampling8
#main_algorithm_name: algoSampling9
#main_algorithm_name: algoSampling10
#main_algorithm_name: algoSamplingDS
#
#main_algorithm_name: algoSampling200

#logged_algo: algo
#logged_algo: algoSampling

containers:
    cont0:
        type: Grid         # The type of the container (e.g. Grid, CVTGrid, Container, NoveltyArchive, ...)
        name: cont0                              # The name of the container. Optional. Default to the parent key (here also 'cont0')
        shape: [64, 64]                          # The number of bins for each feature
        max_items_per_bin: 1                     # The number of items in each bin of the grid
        depot_type: False

# The list of all algorithms
algorithms:
    # Default parameter values for each algorithm
    #optimisation_task: minimisation   # We perform maximisation of all fitness objectives
    dimension: 6                    # The number of dimensions of the problem. For rastrigin, any dimension >= 2 can be chosen
    #ind_domain: [-5.12, 5.12]              # The domain of each value of the genome (optional)
    #container: cont0                  # The container to use to store individuals told to the optimisers


    algo:
        type: RandomSearchMutPolyBoundedForNoisyInds
        container: cont0
        budget: .inf # 819200
        batch_size: 500
        init_pb: 0.1
        sel_pb: 0.9
        mut_pb: 0.5
        eta: 20.


    algoSampling:
        type: FixedSamplingDecorator
        base_alg: algo
        budget: 4000
        batch_size: 100
        nb_samples: 1 # 10

    algoSamplingDS:
        type: LinearDSStderrDecorator
        base_alg: algo
        min_r_fitness: 0.0
        max_r_fitness: 0.9
        min_r_features: 0.0
        max_r_features: 0.9
        min_samples: 5
        max_samples: 100
        budget: 4000
        batch_size: 100

    algoSampling2:
        type: TimeBasedSamplingDecorator
        base_alg: algo
        min_samples: 1
        max_samples: 10
        budget: 4000
        batch_size: 100

    algoSampling3:
        type: DominationStrengthSamplingDecorator
        base_alg: algo
        min_samples: 1
        max_samples: 10
        update_max_stat_every_it: True
        budget: 4000
        batch_size: 100

    algoSampling4:
        type: ActivityStrengthSamplingDecorator
        base_alg: algo
        min_samples: 5
        max_samples: 20
        #batch_size: 10
        update_max_stat_every_it: True
        #batch_size: 10
        budget: 4000
        batch_size: 100

    algoSampling5:
        type: SEDRDecorator
        base_alg: algo
        min_r_fitness: 0.0
        max_r_fitness: 0.30
        min_r_features: 0.0
        max_r_features: 0.30
        min_samples: 2
        max_samples: 10
        budget: 4000
        batch_size: 100

    algoSampling6:
        type: FBDRDecorator
        base_alg: algo
        min_samples: 1
        max_samples: 10
        budget: 4000
        batch_size: 100

    algoSampling7:
        type: FBSEDRDecorator
        base_alg: algo
        min_samples: 2
        max_samples: 10
        max_r_fitness: 0.30
        max_r_features: 0.30
        budget: 4000
        batch_size: 100

    algoSampling8:
        type: AdaptiveSamplingDecorator
        base_alg: algo
        min_samples: 1
        max_samples: 10
        budget: 4000
        batch_size: 100

    algoSampling9:
        type: ConfidenceBasedAdaptiveSamplingDecorator
        base_alg: algo
        min_samples: 2
        max_samples: 10
        alpha: 0.05
        budget: 4000
        batch_size: 100

    algoSampling10:
        type: NoiseAnalysisSamplingDecorator
        base_alg: algo
        min_samples: 2
        max_samples: 10
        budget: 4000
        batch_size: 100



    algoSampling101:
        type: FixedSamplingDecorator
        base_alg: algo
        budget: 10000
        batch_size: 100
        nb_samples: 1 # 10

    algoSampling102:
        type: AdaptiveSamplingDecorator
        base_alg: algo
        min_samples: 1
        max_samples: 10
        budget: 10000
        batch_size: 100

    algoSampling103:
        type: FixedSamplingDecorator
        base_alg: algo
        budget: 10000
        batch_size: 100
        nb_samples: 5

    algoSampling100:
        type: ConditionalSamplingDecorator
        base_alg: algo
        sampling1: algoSampling101
        sampling2: algoSampling102
        threshold_fullness: 0.15 # 0.999
        budget: 10000
        batch_size: 100
        min_samples: 2


    algoSampling200:
        type: AlternatingMetaSamplingDecorator
        base_alg: algo
        sd: [algoSampling2, algoSampling6, algoSampling8]
        budget: 10000
        batch_size: 100
        #switch_when_no_staging_inds: true


# MODELINE "{{{1
# vim:expandtab:softtabstop=4:shiftwidth=4:fileencoding=utf-8
# vim:foldmethod=marker
